#include<bits/stdc++.h>
#define NAME "NHUAN."
using namespace std;
ifstream fi(NAME"inp");
ofstream fo(NAME"out");
int main(){
int n,x;
fi>>n;
for(int i=0;i<n;++i){
    fi>>x;
    if(x%4==0)fo<<"YES"<<endl;
    else fo<<"NO"<<endl;
}

}
